<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>DriverAdapterCPDS (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DriverAdapterCPDS (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DriverAdapterCPDS.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html" title="class in org.apache.commons.dbcp2.cpdsadapter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html" target="_top">Frames</a></li>
<li><a href="DriverAdapterCPDS.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2.cpdsadapter</div>
<h2 title="Class DriverAdapterCPDS" class="title">Class DriverAdapterCPDS</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.cpdsadapter.DriverAdapterCPDS</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming">Referenceable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/spi/ObjectFactory.html?is-external=true" title="class or interface in javax.naming.spi">ObjectFactory</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DriverAdapterCPDS</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming">Referenceable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/spi/ObjectFactory.html?is-external=true" title="class or interface in javax.naming.spi">ObjectFactory</a></pre>
<div class="block"><p>
 An adapter for JDBC drivers that do not include an implementation of <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql"><code>ConnectionPoolDataSource</code></a>, but
 still include a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DriverManager.html?is-external=true" title="class or interface in java.sql"><code>DriverManager</code></a> implementation. <code>ConnectionPoolDataSource</code>s are not used
 within general applications. They are used by <code>DataSource</code> implementations that pool
 <code>Connection</code>s, such as <a href="../../../../../org/apache/commons/dbcp2/datasources/SharedPoolDataSource.html" title="class in org.apache.commons.dbcp2.datasources"><code>SharedPoolDataSource</code></a>. A J2EE container
 will normally provide some method of initializing the <code>ConnectionPoolDataSource</code> whose attributes are
 presented as bean getters/setters and then deploying it via JNDI. It is then available as a source of physical
 connections to the database, when the pooling <code>DataSource</code> needs to create a new physical connection.
 </p>
 <p>
 Although normally used within a JNDI environment, the DriverAdapterCPDS can be instantiated and initialized as any
 bean and then attached directly to a pooling <code>DataSource</code>. <code>Jdbc2PoolDataSource</code> can use the
 <code>ConnectionPoolDataSource</code> with or without the use of JNDI.
 </p>
 <p>
 The DriverAdapterCPDS also provides <code>PreparedStatement</code> pooling which is not generally available in jdbc2
 <code>ConnectionPoolDataSource</code> implementation, but is addressed within the jdbc3 specification. The
 <code>PreparedStatement</code> pool in DriverAdapterCPDS has been in the dbcp package for some time, but it has not
 undergone extensive testing in the configuration used here. It should be considered experimental and can be toggled
 with the poolPreparedStatements attribute.
 </p>
 <p>
 The <a href="package-summary.html">package documentation</a> contains an example using catalina and JNDI. The
 <a href="../datasources/package-summary.html">datasources package documentation</a> shows how to use
 <code>DriverAdapterCPDS</code> as a source for <code>Jdbc2PoolDataSource</code> without the use of JNDI.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../serialized-form.html#org.apache.commons.dbcp2.cpdsadapter.DriverAdapterCPDS">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#DriverAdapterCPDS--">DriverAdapterCPDS</a></span>()</code>
<div class="block">Default no-arg constructor for Serialization</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getConnectionProperties--">getConnectionProperties</a></span>()</code>
<div class="block">Gets the connection properties passed to the JDBC driver.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getDescription--">getDescription</a></span>()</code>
<div class="block">Gets the value of description.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getDriver--">getDriver</a></span>()</code>
<div class="block">Gets the driver class name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getLoginTimeout--">getLoginTimeout</a></span>()</code>
<div class="block">Gets the maximum time in seconds that this data source can wait while attempting to connect to a database.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintWriter.html?is-external=true" title="class or interface in java.io">PrintWriter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getLogWriter--">getLogWriter</a></span>()</code>
<div class="block">Gets the log writer for this data source.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getMaxIdle--">getMaxIdle</a></span>()</code>
<div class="block">Gets the maximum number of statements that can remain idle in the pool, without extra ones being released, or
 negative for no limit.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getMaxPreparedStatements--">getMaxPreparedStatements</a></span>()</code>
<div class="block">Gets the maximum number of prepared statements.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getMinEvictableIdleTimeMillis--">getMinEvictableIdleTimeMillis</a></span>()</code>
<div class="block">Gets the minimum amount of time a statement may sit idle in the pool before it is eligible for eviction by the
 idle object evictor (if any).</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getNumTestsPerEvictionRun--">getNumTestsPerEvictionRun</a></span>()</code>
<div class="block">Gets the number of statements to examine during each run of the idle object evictor thread (if any.)</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getObjectInstance-java.lang.Object-javax.naming.Name-javax.naming.Context-java.util.Hashtable-">getObjectInstance</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;refObj,
                 <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Name.html?is-external=true" title="class or interface in javax.naming">Name</a>&nbsp;name,
                 <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Context.html?is-external=true" title="class or interface in javax.naming">Context</a>&nbsp;context,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Hashtable.html?is-external=true" title="class or interface in java.util">Hashtable</a>&lt;?,?&gt;&nbsp;env)</code>
<div class="block">Implements <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/spi/ObjectFactory.html?is-external=true" title="class or interface in javax.naming.spi"><code>ObjectFactory</code></a> to create an instance of this class</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/logging/Logger.html?is-external=true" title="class or interface in java.util.logging">Logger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getParentLogger--">getParentLogger</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPassword--">getPassword</a></span>()</code>
<div class="block">Gets the value of password for the default user.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>char[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPasswordCharArray--">getPasswordCharArray</a></span>()</code>
<div class="block">Gets the value of password for the default user.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--">getPooledConnection</a></span>()</code>
<div class="block">Attempts to establish a database connection using the default user and password.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection-java.lang.String-java.lang.String-">getPooledConnection</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pooledUserName,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pooledUserPassword)</code>
<div class="block">Attempts to establish a database connection.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Reference.html?is-external=true" title="class or interface in javax.naming">Reference</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getReference--">getReference</a></span>()</code>
<div class="block">Implements <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming"><code>Referenceable</code></a>.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getTimeBetweenEvictionRunsMillis--">getTimeBetweenEvictionRunsMillis</a></span>()</code>
<div class="block">Gets the number of milliseconds to sleep between runs of the idle object evictor thread.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getUrl--">getUrl</a></span>()</code>
<div class="block">Gets the value of url used to locate the database for this datasource.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getUser--">getUser</a></span>()</code>
<div class="block">Gets the value of default user (login or user name).</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#isAccessToUnderlyingConnectionAllowed--">isAccessToUnderlyingConnectionAllowed</a></span>()</code>
<div class="block">Returns the value of the accessToUnderlyingConnectionAllowed property.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#isPoolPreparedStatements--">isPoolPreparedStatements</a></span>()</code>
<div class="block">Whether to toggle the pooling of <code>PreparedStatement</code>s</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setAccessToUnderlyingConnectionAllowed-boolean-">setAccessToUnderlyingConnectionAllowed</a></span>(boolean&nbsp;allow)</code>
<div class="block">Sets the value of the accessToUnderlyingConnectionAllowed property.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setConnectionProperties-java.util.Properties-">setConnectionProperties</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;props)</code>
<div class="block">Sets the connection properties passed to the JDBC driver.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setDescription-java.lang.String-">setDescription</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;v)</code>
<div class="block">Sets the value of description.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setDriver-java.lang.String-">setDriver</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;v)</code>
<div class="block">Sets the driver class name.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setLoginTimeout-int-">setLoginTimeout</a></span>(int&nbsp;seconds)</code>
<div class="block">Sets the maximum time in seconds that this data source will wait while attempting to connect to a database.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setLogWriter-java.io.PrintWriter-">setLogWriter</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintWriter.html?is-external=true" title="class or interface in java.io">PrintWriter</a>&nbsp;out)</code>
<div class="block">Sets the log writer for this data source.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setMaxIdle-int-">setMaxIdle</a></span>(int&nbsp;maxIdle)</code>
<div class="block">Gets the maximum number of statements that can remain idle in the pool, without extra ones being released, or
 negative for no limit.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setMaxPreparedStatements-int-">setMaxPreparedStatements</a></span>(int&nbsp;maxPreparedStatements)</code>
<div class="block">Sets the maximum number of prepared statements.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setMinEvictableIdleTimeMillis-int-">setMinEvictableIdleTimeMillis</a></span>(int&nbsp;minEvictableIdleTimeMillis)</code>
<div class="block">Sets the minimum amount of time a statement may sit idle in the pool before it is eligible for eviction by the
 idle object evictor (if any).</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setNumTestsPerEvictionRun-int-">setNumTestsPerEvictionRun</a></span>(int&nbsp;numTestsPerEvictionRun)</code>
<div class="block">Sets the number of statements to examine during each run of the idle object evictor thread (if any).</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setPassword-char:A-">setPassword</a></span>(char[]&nbsp;userPassword)</code>
<div class="block">Sets the value of password for the default user.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userPassword)</code>
<div class="block">Sets the value of password for the default user.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setPoolPreparedStatements-boolean-">setPoolPreparedStatements</a></span>(boolean&nbsp;poolPreparedStatements)</code>
<div class="block">Whether to toggle the pooling of <code>PreparedStatement</code>s</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setTimeBetweenEvictionRunsMillis-long-">setTimeBetweenEvictionRunsMillis</a></span>(long&nbsp;timeBetweenEvictionRunsMillis)</code>
<div class="block">Sets the number of milliseconds to sleep between runs of the idle object evictor thread.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setUrl-java.lang.String-">setUrl</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;v)</code>
<div class="block">Sets the value of URL string used to locate the database for this datasource.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setUser-java.lang.String-">setUser</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;v)</code>
<div class="block">Sets the value of default user (login or user name).</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#toString--">toString</a></span>()</code>
<div class="block">Does not print the userName and userPassword field nor the 'user' or 'password' in the connectionProperties.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DriverAdapterCPDS--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DriverAdapterCPDS</h4>
<pre>public&nbsp;DriverAdapterCPDS()</pre>
<div class="block">Default no-arg constructor for Serialization</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConnectionProperties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionProperties</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;getConnectionProperties()</pre>
<div class="block">Gets the connection properties passed to the JDBC driver.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the JDBC connection properties used when creating connections.</dd>
</dl>
</li>
</ul>
<a name="getDescription--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDescription()</pre>
<div class="block">Gets the value of description. This property is here for use by the code which will deploy this datasource. It is
 not used internally.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of description, may be null.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setDescription-java.lang.String-"><code>setDescription(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getDriver--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDriver</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDriver()</pre>
<div class="block">Gets the driver class name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of driver.</dd>
</dl>
</li>
</ul>
<a name="getLoginTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLoginTimeout</h4>
<pre>public&nbsp;int&nbsp;getLoginTimeout()</pre>
<div class="block">Gets the maximum time in seconds that this data source can wait while attempting to connect to a database. NOT
 USED.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getLoginTimeout--" title="class or interface in javax.sql">getLoginTimeout</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a></code></dd>
</dl>
</li>
</ul>
<a name="getLogWriter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogWriter</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintWriter.html?is-external=true" title="class or interface in java.io">PrintWriter</a>&nbsp;getLogWriter()</pre>
<div class="block">Gets the log writer for this data source. NOT USED.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getLogWriter--" title="class or interface in javax.sql">getLogWriter</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a></code></dd>
</dl>
</li>
</ul>
<a name="getMaxIdle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxIdle</h4>
<pre>public&nbsp;int&nbsp;getMaxIdle()</pre>
<div class="block">Gets the maximum number of statements that can remain idle in the pool, without extra ones being released, or
 negative for no limit.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of maxIdle</dd>
</dl>
</li>
</ul>
<a name="getMaxPreparedStatements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxPreparedStatements</h4>
<pre>public&nbsp;int&nbsp;getMaxPreparedStatements()</pre>
<div class="block">Gets the maximum number of prepared statements.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>maxPrepartedStatements value</dd>
</dl>
</li>
</ul>
<a name="getMinEvictableIdleTimeMillis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinEvictableIdleTimeMillis</h4>
<pre>public&nbsp;int&nbsp;getMinEvictableIdleTimeMillis()</pre>
<div class="block">Gets the minimum amount of time a statement may sit idle in the pool before it is eligible for eviction by the
 idle object evictor (if any).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the minimum amount of time a statement may sit idle in the pool.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setMinEvictableIdleTimeMillis-int-"><code>setMinEvictableIdleTimeMillis(int)</code></a>, 
<a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setTimeBetweenEvictionRunsMillis-long-"><code>setTimeBetweenEvictionRunsMillis(long)</code></a></dd>
</dl>
</li>
</ul>
<a name="getNumTestsPerEvictionRun--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumTestsPerEvictionRun</h4>
<pre>public&nbsp;int&nbsp;getNumTestsPerEvictionRun()</pre>
<div class="block">Gets the number of statements to examine during each run of the idle object evictor thread (if any.)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of statements to examine during each run of the idle object evictor thread (if any.)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setNumTestsPerEvictionRun-int-"><code>setNumTestsPerEvictionRun(int)</code></a>, 
<a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setTimeBetweenEvictionRunsMillis-long-"><code>setTimeBetweenEvictionRunsMillis(long)</code></a></dd>
</dl>
</li>
</ul>
<a name="getObjectInstance-java.lang.Object-javax.naming.Name-javax.naming.Context-java.util.Hashtable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectInstance</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getObjectInstance(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;refObj,
                                <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Name.html?is-external=true" title="class or interface in javax.naming">Name</a>&nbsp;name,
                                <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Context.html?is-external=true" title="class or interface in javax.naming">Context</a>&nbsp;context,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Hashtable.html?is-external=true" title="class or interface in java.util">Hashtable</a>&lt;?,?&gt;&nbsp;env)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<div class="block">Implements <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/spi/ObjectFactory.html?is-external=true" title="class or interface in javax.naming.spi"><code>ObjectFactory</code></a> to create an instance of this class</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/spi/ObjectFactory.html?is-external=true#getObjectInstance-java.lang.Object-javax.naming.Name-javax.naming.Context-java.util.Hashtable-" title="class or interface in javax.naming.spi">getObjectInstance</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/spi/ObjectFactory.html?is-external=true" title="class or interface in javax.naming.spi">ObjectFactory</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="getParentLogger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentLogger</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/logging/Logger.html?is-external=true" title="class or interface in java.util.logging">Logger</a>&nbsp;getParentLogger()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLFeatureNotSupportedException.html?is-external=true" title="class or interface in java.sql">SQLFeatureNotSupportedException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getParentLogger--" title="class or interface in javax.sql">getParentLogger</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLFeatureNotSupportedException.html?is-external=true" title="class or interface in java.sql">SQLFeatureNotSupportedException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<div class="block">Gets the value of password for the default user.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of password.</dd>
</dl>
</li>
</ul>
<a name="getPasswordCharArray--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPasswordCharArray</h4>
<pre>public&nbsp;char[]&nbsp;getPasswordCharArray()</pre>
<div class="block">Gets the value of password for the default user.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of password.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.4.0</dd>
</dl>
</li>
</ul>
<a name="getPooledConnection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPooledConnection</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a>&nbsp;getPooledConnection()
                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Attempts to establish a database connection using the default user and password.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true#getPooledConnection--" title="class or interface in javax.sql">getPooledConnection</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPooledConnection-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPooledConnection</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/PooledConnection.html?is-external=true" title="class or interface in javax.sql">PooledConnection</a>&nbsp;getPooledConnection(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pooledUserName,
                                            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pooledUserPassword)
                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Attempts to establish a database connection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true#getPooledConnection-java.lang.String-java.lang.String-" title="class or interface in javax.sql">getPooledConnection</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/ConnectionPoolDataSource.html?is-external=true" title="class or interface in javax.sql">ConnectionPoolDataSource</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pooledUserName</code> - name to be used for the connection</dd>
<dd><code>pooledUserPassword</code> - password to be used fur the connection</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getReference--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReference</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Reference.html?is-external=true" title="class or interface in javax.naming">Reference</a>&nbsp;getReference()
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/NamingException.html?is-external=true" title="class or interface in javax.naming">NamingException</a></pre>
<div class="block">Implements <a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming"><code>Referenceable</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true#getReference--" title="class or interface in javax.naming">getReference</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/Referenceable.html?is-external=true" title="class or interface in javax.naming">Referenceable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/naming/NamingException.html?is-external=true" title="class or interface in javax.naming">NamingException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTimeBetweenEvictionRunsMillis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeBetweenEvictionRunsMillis</h4>
<pre>public&nbsp;long&nbsp;getTimeBetweenEvictionRunsMillis()</pre>
<div class="block">Gets the number of milliseconds to sleep between runs of the idle object evictor thread. When non-positive, no
 idle object evictor thread will be run.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the evictor thread timer</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setTimeBetweenEvictionRunsMillis-long-"><code>setTimeBetweenEvictionRunsMillis(long)</code></a></dd>
</dl>
</li>
</ul>
<a name="getUrl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUrl</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUrl()</pre>
<div class="block">Gets the value of url used to locate the database for this datasource.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of url.</dd>
</dl>
</li>
</ul>
<a name="getUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUser</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUser()</pre>
<div class="block">Gets the value of default user (login or user name).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of user.</dd>
</dl>
</li>
</ul>
<a name="isAccessToUnderlyingConnectionAllowed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAccessToUnderlyingConnectionAllowed</h4>
<pre>public&nbsp;boolean&nbsp;isAccessToUnderlyingConnectionAllowed()</pre>
<div class="block">Returns the value of the accessToUnderlyingConnectionAllowed property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if access to the underlying is allowed, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="isPoolPreparedStatements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPoolPreparedStatements</h4>
<pre>public&nbsp;boolean&nbsp;isPoolPreparedStatements()</pre>
<div class="block">Whether to toggle the pooling of <code>PreparedStatement</code>s</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of poolPreparedStatements.</dd>
</dl>
</li>
</ul>
<a name="setAccessToUnderlyingConnectionAllowed-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAccessToUnderlyingConnectionAllowed</h4>
<pre>public&nbsp;void&nbsp;setAccessToUnderlyingConnectionAllowed(boolean&nbsp;allow)</pre>
<div class="block">Sets the value of the accessToUnderlyingConnectionAllowed property. It controls if the PoolGuard allows access to
 the underlying connection. (Default: false)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>allow</code> - Access to the underlying connection is granted when true.</dd>
</dl>
</li>
</ul>
<a name="setConnectionProperties-java.util.Properties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectionProperties</h4>
<pre>public&nbsp;void&nbsp;setConnectionProperties(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;props)</pre>
<div class="block">Sets the connection properties passed to the JDBC driver.
 <p>
 If <code>props</code> contains "user" and/or "password" properties, the corresponding instance properties are
 set. If these properties are not present, they are filled in using <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getUser--"><code>getUser()</code></a>, <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPassword--"><code>getPassword()</code></a>
 when <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> is called, or using the actual parameters to the method call when
 <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection-java.lang.String-java.lang.String-"><code>getPooledConnection(String, String)</code></a> is called. Calls to <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setUser-java.lang.String-"><code>setUser(String)</code></a> or
 <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setPassword-java.lang.String-"><code>setPassword(String)</code></a> overwrite the values of these properties if <code>connectionProperties</code> is not
 null.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>props</code> - Connection properties to use when creating new connections.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
</dl>
</li>
</ul>
<a name="setDescription-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDescription</h4>
<pre>public&nbsp;void&nbsp;setDescription(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;v)</pre>
<div class="block">Sets the value of description. This property is here for use by the code which will deploy this datasource. It is
 not used internally.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v</code> - Value to assign to description.</dd>
</dl>
</li>
</ul>
<a name="setDriver-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDriver</h4>
<pre>public&nbsp;void&nbsp;setDriver(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;v)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang">ClassNotFoundException</a></pre>
<div class="block">Sets the driver class name. Setting the driver class name cause the driver to be registered with the
 DriverManager.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v</code> - Value to assign to driver.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang">ClassNotFoundException</a></code> - if the class cannot be located</dd>
</dl>
</li>
</ul>
<a name="setLoginTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLoginTimeout</h4>
<pre>public&nbsp;void&nbsp;setLoginTimeout(int&nbsp;seconds)</pre>
<div class="block">Sets the maximum time in seconds that this data source will wait while attempting to connect to a database. NOT
 USED.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#setLoginTimeout-int-" title="class or interface in javax.sql">setLoginTimeout</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a></code></dd>
</dl>
</li>
</ul>
<a name="setLogWriter-java.io.PrintWriter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogWriter</h4>
<pre>public&nbsp;void&nbsp;setLogWriter(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintWriter.html?is-external=true" title="class or interface in java.io">PrintWriter</a>&nbsp;out)</pre>
<div class="block">Sets the log writer for this data source. NOT USED.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#setLogWriter-java.io.PrintWriter-" title="class or interface in javax.sql">setLogWriter</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a></code></dd>
</dl>
</li>
</ul>
<a name="setMaxIdle-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxIdle</h4>
<pre>public&nbsp;void&nbsp;setMaxIdle(int&nbsp;maxIdle)</pre>
<div class="block">Gets the maximum number of statements that can remain idle in the pool, without extra ones being released, or
 negative for no limit.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxIdle</code> - The maximum number of statements that can remain idle</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
</dl>
</li>
</ul>
<a name="setMaxPreparedStatements-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxPreparedStatements</h4>
<pre>public&nbsp;void&nbsp;setMaxPreparedStatements(int&nbsp;maxPreparedStatements)</pre>
<div class="block">Sets the maximum number of prepared statements.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxPreparedStatements</code> - the new maximum number of prepared statements</dd>
</dl>
</li>
</ul>
<a name="setMinEvictableIdleTimeMillis-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinEvictableIdleTimeMillis</h4>
<pre>public&nbsp;void&nbsp;setMinEvictableIdleTimeMillis(int&nbsp;minEvictableIdleTimeMillis)</pre>
<div class="block">Sets the minimum amount of time a statement may sit idle in the pool before it is eligible for eviction by the
 idle object evictor (if any). When non-positive, no objects will be evicted from the pool due to idle time alone.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>minEvictableIdleTimeMillis</code> - minimum time to set (in ms)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getMinEvictableIdleTimeMillis--"><code>getMinEvictableIdleTimeMillis()</code></a>, 
<a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setTimeBetweenEvictionRunsMillis-long-"><code>setTimeBetweenEvictionRunsMillis(long)</code></a></dd>
</dl>
</li>
</ul>
<a name="setNumTestsPerEvictionRun-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNumTestsPerEvictionRun</h4>
<pre>public&nbsp;void&nbsp;setNumTestsPerEvictionRun(int&nbsp;numTestsPerEvictionRun)</pre>
<div class="block">Sets the number of statements to examine during each run of the idle object evictor thread (if any).
 <p>
 When a negative value is supplied,
 <code>ceil(<a href="../../../../../org/apache/commons/dbcp2/BasicDataSource.html#getNumIdle--"><code>BasicDataSource.getNumIdle()</code></a>)/abs(<a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getNumTestsPerEvictionRun--"><code>getNumTestsPerEvictionRun()</code></a>)</code> tests will be run.
 I.e., when the value is <i>-n</i>, roughly one <i>n</i>th of the idle objects will be tested per run.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numTestsPerEvictionRun</code> - number of statements to examine per run</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getNumTestsPerEvictionRun--"><code>getNumTestsPerEvictionRun()</code></a>, 
<a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#setTimeBetweenEvictionRunsMillis-long-"><code>setTimeBetweenEvictionRunsMillis(long)</code></a></dd>
</dl>
</li>
</ul>
<a name="setPassword-char:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(char[]&nbsp;userPassword)</pre>
<div class="block">Sets the value of password for the default user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>userPassword</code> - Value to assign to password.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userPassword)</pre>
<div class="block">Sets the value of password for the default user.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>userPassword</code> - Value to assign to password.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
</dl>
</li>
</ul>
<a name="setPoolPreparedStatements-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPoolPreparedStatements</h4>
<pre>public&nbsp;void&nbsp;setPoolPreparedStatements(boolean&nbsp;poolPreparedStatements)</pre>
<div class="block">Whether to toggle the pooling of <code>PreparedStatement</code>s</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>poolPreparedStatements</code> - true to pool statements.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
</dl>
</li>
</ul>
<a name="setTimeBetweenEvictionRunsMillis-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeBetweenEvictionRunsMillis</h4>
<pre>public&nbsp;void&nbsp;setTimeBetweenEvictionRunsMillis(long&nbsp;timeBetweenEvictionRunsMillis)</pre>
<div class="block">Sets the number of milliseconds to sleep between runs of the idle object evictor thread. When non-positive, no
 idle object evictor thread will be run.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeBetweenEvictionRunsMillis</code> - The number of milliseconds to sleep between runs of the idle object evictor
        thread. When non-positive, no idle object evictor thread will be run.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getTimeBetweenEvictionRunsMillis--"><code>getTimeBetweenEvictionRunsMillis()</code></a></dd>
</dl>
</li>
</ul>
<a name="setUrl-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUrl</h4>
<pre>public&nbsp;void&nbsp;setUrl(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;v)</pre>
<div class="block">Sets the value of URL string used to locate the database for this datasource.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v</code> - Value to assign to url.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
</dl>
</li>
</ul>
<a name="setUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUser</h4>
<pre>public&nbsp;void&nbsp;setUser(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;v)</pre>
<div class="block">Sets the value of default user (login or user name).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v</code> - Value to assign to user.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - if <a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html#getPooledConnection--"><code>getPooledConnection()</code></a> has been called</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<div class="block">Does not print the userName and userPassword field nor the 'user' or 'password' in the connectionProperties.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DriverAdapterCPDS.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html" title="class in org.apache.commons.dbcp2.cpdsadapter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html" target="_top">Frames</a></li>
<li><a href="DriverAdapterCPDS.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
